* Ways to call:
* gen_bs, infile() outfile
* gen_bs, justrandom
program gen_bs
	syntax , data(string)
			
	cap log close logbs
	log using "bs_run${pll_instance}.log", replace name(logbs)
	
	qui include prefs.do
	
	cap postclose postbs
	tempfile outfile
	postfile postbs float beta_const float se_const str41 rng_state using "`outfile'", replace 

	forvalues i = 1/`=_N'{
		local new_seed = rng_state[`i']
		set seed `new_seed'
		
		preserve
		qui sysuse `data', clear
		bsample
		
		qui reg price mpg
		
		post postbs (_b[_cons]) (_se[_cons]) ("`new_seed'")
		restore
	}
	postclose postbs
	
	use "`outfile'", clear
	log close logbs
end
*Safety: Last line not executed.
