clear all

qui include prefs.do

global numclusters 2
local reps 50
global testing = 0
if ${testing}==1{
	set trace on
	set tracedepth 2
	global file_suffix "_testing"
	local reps 10
	*global numclusters 1
}

if ${numclusters}>1{
	local st_path "statapath(C:\Program Files (x86)\STATA13\StataSE13-64.exe)" //Brian's system only. weird setup
	parallel setclusters ${numclusters}, `st_path'
	local parallel_prefix "parallel   :"
}

set seed 01042014 //date of file creation
gen str41 rng_state=""
set obs `reps'
rng_advance replace, var(rng_state)


`parallel_prefix' gen_bs , data(auto)

save "output${file_suffix}", replace


*Analyze the bs_results
